umbrello: StereoAttributeDialog Class Reference

umbrello 2.37.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StereoAttributeDialog Class Reference

`#include <stereoattributedialog.h>`

Inheritance diagram for StereoAttributeDialog:

## Public Member Functions
| StereoAttributeDialog (QWidget *parent, UMLStereotype *stereotype)
virtual | ~StereoAttributeDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Member Functions
void | setupDialog ()
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Protected Attributes
UMLStereotype * | m_pStereotype
QGroupBox * | m_pValuesGB
QLabel * | m_pNameLabel [N_STEREOATTRS]
KLineEdit * | m_pNameEdit [N_STEREOATTRS]
QLabel * | m_pTypeLabel [N_STEREOATTRS]
QComboBox * | m_pTypeCombo [N_STEREOATTRS]
QLabel * | m_pDefaultValueLabel [N_STEREOATTRS]
KLineEdit * | m_pDefaultValueEdit [N_STEREOATTRS]

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ StereoAttributeDialog()

StereoAttributeDialog::StereoAttributeDialog | ( | QWidget * | parent,
|  | UMLStereotype * | stereotype
| ) |  |

## ◆ ~StereoAttributeDialog()

StereoAttributeDialog::~StereoAttributeDialog | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply()

bool StereoAttributeDialog::apply | ( |  | ) |
| protectedvirtual

Used when the OK button is clicked. Applies the stereotype attribute changes.

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void StereoAttributeDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## Member Data Documentation

## ◆ m_pDefaultValueEdit

KLineEdit* StereoAttributeDialog::m_pDefaultValueEdit[N_STEREOATTRS]
| protected

## ◆ m_pDefaultValueLabel

QLabel* StereoAttributeDialog::m_pDefaultValueLabel[N_STEREOATTRS]
| protected

## ◆ m_pNameEdit

KLineEdit* StereoAttributeDialog::m_pNameEdit[N_STEREOATTRS]
| protected

## ◆ m_pNameLabel

QLabel* StereoAttributeDialog::m_pNameLabel[N_STEREOATTRS]
| protected

## ◆ m_pStereotype

UMLStereotype* StereoAttributeDialog::m_pStereotype
| protected

The Stereotype to represent

## ◆ m_pTypeCombo

QComboBox* StereoAttributeDialog::m_pTypeCombo[N_STEREOATTRS]
| protected

## ◆ m_pTypeLabel

QLabel* StereoAttributeDialog::m_pTypeLabel[N_STEREOATTRS]
| protected

## ◆ m_pValuesGB

QGroupBox* StereoAttributeDialog::m_pValuesGB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/stereoattributedialog.h
- umbrello/dialogs/stereoattributedialog.cpp